'=============================================================================
'    Newton Connection Install
'=============================================================================
'    (c) Copyright 1991, Traveling Software, Inc.
'    All Rights Reserved
'=============================================================================
'    File Name:  NC_INSTL.INC     $Revision:   1.131  $
'    Project:  SilverHammer
'    Original Author:  $Author:   RobS  $
'=============================================================================
'    Revision History:  Is at the end of the file.
'=============================================================================
'    Description:
'
'        This is the include file for the Silver Hammer install script
'=============================================================================


CONST NEW_GROUP$             = "1"
CONST EXISTING_GROUP$        = "2"
CONST DELIMITER_CHAR         = ""
CONST COMMENT_CHAR           = ";"
CONST BACKSLASH_CHAR         = "\"
CONST README_TITLE           = "Newton Connection ReadMe"
CONST DIALOG_TITLE_ERROR     = "Error"
CONST DIALOG_TITLE_WARNING   = "Warning"
CONST README_NAME            = "readme.wri"

'all caps for a string comparison
CONST NEWTON_EXE             = "NEWTON.EXE" 
CONST EXEFILE                = "newton.exe"

CONST EXENAME                = "Newton Connection"
CONST NOTEPAD_EXE            = "notepad.exe "
CONST WRITE_EXE              = "write.exe "
CONST WIN_INI                = "WIN.INI"
CONST PROGMAN_INI            = "PROGMAN.INI"
CONST SYSTEM_INI             = "SYSTEM.INI"
CONST TEMP_SYSTEM_INI        = "~YSTEM.INI"
CONST SETUP_INF              = "setup.inf"
CONST BYTES                  = " bytes."
CONST QUESTION_MARKS         = "???"
CONST EXT_DKR                = "nwt"
CONST SYSINI_KEY             = "device"
CONST TSIVXD                 = "TSIVID.386"
CONST DEFAULT_ICON           = "HAMMERICON"
CONST DEFAULT_INSTALL_DIR    = "c:\newton"
CONST XLATOR_DIR             = "\xlators"
CONST INF_SECTION_XLATFILES  = "translators"
CONST INF_SECTION_COPYFILES  = "install"
CONST SECTION_EXTENSIONS     = "Extensions"
CONST SECTION_386ENH         = "386Enh"
CONST REG_WIN_MESSAGE        = "PreSetup"
CONST POST_MESSAGE_VALUE     = 65535
CONST INTERNAL_VERSION$      = "2.0rc19"
CONST EXTERNAL_VERSION$      = "2.0"

CONST MESSAGE_NOGROUPS       = "There are NO existing groups!"
CONST MESSAGE_PATHBLANK      = "You must supply a path for the installation!"
CONST MESSAGE_DRIVENOTVALID  = " - The specified drive is not valid!"
CONST MESSAGE_NETWORKDRIVE   = " - The specified drive is a network drive to which you don't have rights."
CONST MESSAGE_NO_BACKSLASH   = " - The specified drive needs a backslash (eg. C:\NEWTON)."
CONST MESSAGE_NOREMOVABLE    = " - The specified drive is a removable drive. Newton Connection cannot be installed to a removable drive!"
CONST MESSAGE_CANTCREATEDIR1 = " - The specified directory cannot be created."
CONST MESSAGE_CANTCREATEDIR2 = " The drive may be write protected, the directory name may be invalid, or a file of the same name may exist."
CONST MESSAGE_NOTENOUGHSPACE = " - The specified drive does not have enough space! Delete some files or specify a new drive. You need to free at least"
CONST MESSAGE_REQUIRESWIN31  = "Newton Connection requires Windows version 3.1 or higher."
CONST MESSAGE_REQUIRESENHANCEDMODE = "Newton Connection can only be run in Enhanced Mode."
CONST MESSAGE_REQUIRES386    = "Newton Connection requires a 386 or compatible computer."
CONST MESSAGE_NCKALREADYRUNNING = "A version of Newton Connection is currently running.  Please close Newton Connection and run this install program again."
CONST MESSAGE_DRIVENOTSPECIFIED = " - The specified path must include a drive letter."
CONST MESSAGE_SYSINIWRITEPROTECTED = "Your SYSTEM.INI file is write-protected! Remove the write-protection and run the installation again."
CONST MESSAGE_WINUNDETERMINED1 = "Your system is not using standard Windows serial drivers. Your SYSTEM.INI file has not been modified."
CONST MESSAGE_WINUNDETERMINED2 = " In order for Newton Connection to communicate properly you must add the line DEVICE="
CONST MESSAGE_WINUNDETERMINED3 = " to the [386ENH] section of your SYSTEM.INI file."
CONST MESSAGE_WINUNDETERMINED4 = " After the installation, refer to the section ""Non-Standard Serial Drivers"" in README.WRI for more information."

CONST SUCCESSFUL             = 1
CONST TRUE                   = 1
CONST FALSE                  = 0
CONST WIN_UNDETERMINED       = 102  'this must parallel value in travel.h
CONST GROUP_STRING_SIZE      = 900
CONST ERRORSTRING_SIZE       = 300
CONST INIRETURNBUFF_SIZE     = 80
CONST PATHTOEXE_SIZE         = 65
CONST EXEVERRETURNBUFF_SIZE  = 25
CONST OPENFILEVALUE          = 5
CONST WIN_MAJOR_VERSION      = 3
CONST WIN_MINOR_VERSION      = 1
CONST TSIVID_MAJOR_VERSION   = 1
CONST TSIVID_MINOR_VERSION   = 1
CONST MINIMUM_DRIVE_VALUE    = 2
CONST BYTES_PER_SECTOR       = 512
CONST SECTORS_PER_CLUSTER    = 16
CONST START_OF_PATH          = 8
CONST MINIMUM_DISK_SPACE     = 7000000    'this is a ballpark value

''Dialog ID's               
CONST WELCOME                =  100
CONST ASKQUIT                =  200
CONST DESTPATH               =  300
CONST EXITFAILURE            =  400
CONST EXITQUIT               =  600
CONST EXITSUCCESS            =  700
CONST OPTIONS                =  800
CONST APPHELP                =  900
CONST ASKGROUP               = 1000
CONST HELP_WELCOME           = 1400
CONST HELP_PATH              = 1500
CONST DIREXISTS              = 1600
CONST HELP_MODIFYGROUP       = 2000
CONST HELP_EXISTING_GROUPS   = 2100
CONST SINGLELIST             = 1900
CONST INSUFFICIENTSPACE      = 1100
CONST OVERWRITEEXISTING      = 1300
CONST BILLBOARD              = 1450
CONST BADPATH                = 6400
CONST INSTALLINSTANDARDMODE  = 2200

''Bitmap IDs
CONST LOGO              = 1
CONST LOGO_CLEAR        = 2

'===============================================================================
'                            Revision History
'===============================================================================
'
'    $Log:   H:/hammer/src/install/local/english/nc_instl.inv  $
' 
'    Rev 1.131   24 Jun 1994 17:11:04   RobS
' -Automatic put from make. Version stamp 2.0rc19.
' 
'    Rev 1.130   24 Jun 1994 17:10:22   RobS
' New version.
' 
'    Rev 1.129   24 Jun 1994 16:44:48   LarryN
' -Automatic put from make. Version stamp 2.0rc18.
' 
'    Rev 1.128   24 Jun 1994 16:35:08   LarryN
' version change
' 
'    Rev 1.127   21 Jun 1994 22:34:20   LarryN
' -Automatic put from make. Version stamp 2.0rc17.
' 
'    Rev 1.126   21 Jun 1994 18:02:50   LarryN
' 2.0rc17
' 
'    Rev 1.125   20 Jun 1994 21:03:10   LarryN
' -Automatic put from make. Version stamp 2.0rc16.
' 
'    Rev 1.124   20 Jun 1994 18:33:34   LarryN
' ver .2.0rc16
' 
'    Rev 1.123   19 Jun 1994 10:14:32   LarryN
' -Automatic put from make. Version stamp 2.0rc15.
' 
'    Rev 1.122   19 Jun 1994 10:00:54   LarryN
' 2.0rc15
' 
'    Rev 1.121   17 Jun 1994 15:04:58   RobS
' -Automatic put from make. Version stamp 2.0rc14.
' 
'    Rev 1.120   17 Jun 1994 15:04:28   RobS
' Version 14
' 
'    Rev 1.119   17 Jun 1994 12:15:54   RobS
' -Automatic put from make. Version stamp 2.0rc12.
' 
'    Rev 1.118   17 Jun 1994 11:22:36   LarryN
' changed version string for build
' 
'    Rev 1.117   16 Jun 1994 16:05:42   LarryN
' -Automatic put from make. Version stamp 2.0rc11.
' 
'    Rev 1.116   15 Jun 1994 16:13:40   LarryN
' changed version string for build
' 
'    Rev 1.115   15 Jun 1994 07:54:04   LarryN
' -Automatic put from make. Version stamp 2.0rc10.
' 
'    Rev 1.114   15 Jun 1994 07:50:00   LarryN
' changed version string for build
' 
'    Rev 1.113   15 Jun 1994 07:44:12   LarryN
' -Automatic put from make. Version stamp 2.0rc09.
' 
'    Rev 1.112   15 Jun 1994 02:47:54   LarryN
' -Automatic put from make. Version stamp 2.0rc09.
' 
'    Rev 1.111   14 Jun 1994 14:19:44   LarryN
' changed internal version string for build
' 
'    Rev 1.110   13 Jun 1994 23:03:18   LarryN
' -Automatic put from make. Version stamp 2.0rc08.
' 
'    Rev 1.109   13 Jun 1994 16:55:36   LarryN
' changed internal version string for build
' 
'    Rev 1.108   12 Jun 1994 19:44:10   LarryN
' -Automatic put from make. Version stamp 2.0rc07.
' 
'    Rev 1.107   12 Jun 1994 18:01:56   RobS
' Changed external version to 2.0 and internal to 2.0rc07
' 
'    Rev 1.106   10 Jun 1994 10:07:02   LarryN
' -Automatic put from make. Version stamp 2.0rc06.
' 
'    Rev 1.105   10 Jun 1994 10:06:14   LarryN
' changed version string for build
' 
'    Rev 1.104   08 Jun 1994 12:15:50   LarryN
' -Automatic put from make. Version stamp 2.0rc05.
' 
'    Rev 1.103   08 Jun 1994 12:02:44   LarryN
' changed version string to 2.0rc05
' 
'    Rev 1.102   08 Jun 1994 00:54:04   JohnC
' -Automatic put from make. Version stamp 2.0rc04.
' 
'    Rev 1.101   08 Jun 1994 00:50:54   JohnC
' -Automatic put from make. Version stamp 2.0rc04.
' 
'    Rev 1.100   08 Jun 1994 00:32:30   JohnC
' -Automatic put from make. Version stamp 2.0rc04.
' 
'    Rev 1.99   07 Jun 1994 17:29:48   LarryN
' changed version string from 2.0rc03 to 2.0rc04
' 
'    Rev 1.98   07 Jun 1994 03:02:48   LarryN
' -Automatic put from make. Version stamp 2.0rc03.
' 
'    Rev 1.97   06 Jun 1994 16:16:02   LarryN
' changed version string from 2.0rc01 to 2.0rc03
' 
'    Rev 1.96   04 Jun 1994 16:54:52   MichaelK
' -Automatic put from make. Version stamp MichaelPaste.
' 
'    Rev 1.95   04 Jun 1994 16:27:12   RobS
' Update required size for installation.
' 
'    Rev 1.94   02 Jun 1994 14:28:06   MichaelK
' -Automatic put from make. Version stamp 2.0rc02.
' 
'    Rev 1.93   02 Jun 1994 14:24:46   MichaelK
' -Automatic put from make. Version stamp 2.0rc02.
' 
'    Rev 1.92   01 Jun 1994 09:02:08   LarryN
' -Automatic put from make. Version stamp 2.0rc01.
' 
'    Rev 1.91   01 Jun 1994 09:00:58   LarryN
' changed version string from 2.0rc1 to 2.0rc01
' 
'    Rev 1.90   01 Jun 1994 02:48:14   CregB
' -Automatic put from make. Version stamp 2.0rc1.
' 
'    Rev 1.89   01 Jun 1994 02:44:02   CregB
' -Automatic put from make. Version stamp 2.0rc1.
' 
'    Rev 1.88   01 Jun 1994 01:54:36   LarryN
' -Automatic put from make. Version stamp 2.0rc1.
' 
'    Rev 1.87   01 Jun 1994 01:44:22   LarryN
' -Automatic put from make. Version stamp 2.0rc1.
' 
'    Rev 1.86   31 May 1994 16:47:32   LarryN
' -Automatic put from make. Version stamp 2.0rc1.
' 
'    Rev 1.85   31 May 1994 16:44:32   LarryN
' Changed version from 2.0b09 to 2.0rc1
' 
'    Rev 1.84   29 May 1994 18:48:18   MichaelK
' -Automatic put from make. Version stamp MichaelEdit.
' 
'    Rev 1.83   24 May 1994 16:32:48   LarryN
' -Automatic put from make. Version stamp 2.0b09.
' 
'    Rev 1.82   24 May 1994 16:31:50   LarryN
' Changed version from 2.0b08 to 2.0b09
' 
'    Rev 1.81   23 May 1994 10:31:20   LarryN
' -Automatic put from make. Version stamp 2.0b08.
' 
'    Rev 1.80   23 May 1994 10:30:10   LarryN
' Changed version string from 2.0b07 to 2.0b08
' 
'    Rev 1.79   20 May 1994 14:10:50   LarryN
' -Automatic put from make. Version stamp 2.0b07.
' 
'    Rev 1.78   20 May 1994 14:07:40   LarryN
' Changed version from 2.0b06 to 2.0b07
' 
'    Rev 1.77   18 May 1994 02:17:52   LarryN
' -Automatic put from make. Version stamp 2.0b06.
' 
'    Rev 1.76   18 May 1994 02:11:22   LarryN
' -Automatic put from make. Version stamp 2.0b06.
' 
'    Rev 1.75   18 May 1994 02:02:42   LarryN
' -Automatic put from make. Version stamp 2.0b06.
' 
'    Rev 1.74   17 May 1994 16:50:32   LarryN
' changed version from 2.0b05 to 2.0b06
' 
'    Rev 1.73   17 May 1994 09:49:26   LarryN
' -Automatic put from make. Version stamp 2.0b05.
' 
'    Rev 1.72   17 May 1994 09:28:46   LarryN
' changewd version from 2.0b03 to 2.0b05
' 
'    Rev 1.71   13 May 1994 11:29:08   CregB
' Added a integer constant for the 'install in standard mode' dialog
' 
'    Rev 1.70   12 May 1994 09:09:38   RobS
' Changed diskspace from 5000000 to 6000000. (this should be fine tuned later)
' 
'    Rev 1.69   11 May 1994 14:10:14   CregB
' Added error messages for when the worng Windows mode, wrong CPU are used.
' Added error code for attempt to install while NCKW is running
' 
'    Rev 1.68   29 Apr 1994 10:11:16   MichaelK
' -Automatic put from make. Version stamp 2.0b03.
' 
'    Rev 1.67   29 Apr 1994 10:10:22   MichaelK
' update internal and external version to 2.0b03
' 
'    Rev 1.66   28 Apr 1994 21:11:42   MichaelK
' change external version to 2.0b02
' 
'    Rev 1.65   28 Apr 1994 20:39:58   MichaelK
' -Automatic put from make. Version stamp 2.0b02.
' 
'    Rev 1.64   27 Apr 1994 16:56:46   MichaelK
' -Automatic put from make. Version stamp 2.0b01.
' 
'    Rev 1.63   27 Apr 1994 16:02:50   LarryN
' revised version stamp from 2.0a07 to 2.0b01
' 
'    Rev 1.62   25 Apr 1994 10:09:40   LarryN
' -Automatic put from make. Version stamp 2.0a07.
' 
'    Rev 1.61   25 Apr 1994 10:08:38   LarryN
' Changed version string from 2.0a06 to 2.0a07
' 
'    Rev 1.60   21 Apr 1994 11:54:04   LarryN
' -Automatic put from make. Version stamp 2.0a06.
' 
'    Rev 1.59   21 Apr 1994 11:52:48   LarryN
' changed version stamp number from 2.0a05 to 2.0a06
' 
'    Rev 1.58   13 Apr 1994 16:07:32   LarryN
' -Automatic put from make. Version stamp 2.0a05.
' 
'    Rev 1.57   13 Apr 1994 15:53:02   RobS
' Updated version number to 2.0a05.
' 
'    Rev 1.56   12 Apr 1994 10:05:48   RobS
' Changed version to 2.0a04.
' 
'    Rev 1.55   11 Apr 1994 14:01:48   LarryN
' -Automatic put from make. Version stamp 2.0a04.
' 
'    Rev 1.54   04 Apr 1994 11:40:30   LarryN
' -Automatic put from make. Version stamp 2.0a03.
' 
'    Rev 1.53   04 Apr 1994 11:17:58   RobS
' Updated to 2.0a03
' 
'    Rev 1.52   01 Apr 1994 14:19:24   LarryN
' -Automatic put from make. Version stamp 2.0a02.
' 
'    Rev 1.51   01 Apr 1994 10:47:28   LarryN
' -Automatic put from make. Version stamp 2.0a02.
' 
'    Rev 1.50   01 Apr 1994 09:41:56   RobS
' Changed version string to 2.0a02
' 
'    Rev 1.49   28 Mar 1994 18:04:10   JohnC
' -Automatic put from make. Version stamp before_3.28_shared.
' 
'    Rev 1.48   28 Mar 1994 18:01:26   JohnC
' -Automatic put from make. Version stamp before_3.28_shared.
' 
'    Rev 1.47   28 Mar 1994 17:08:10   JohnC
' -Automatic put from make. Version stamp before_3.28_shared.
' 
'    Rev 1.46   25 Mar 1994 09:57:16   RobS
' Changed external version to 2.0a01
' 
'    Rev 1.45   24 Mar 1994 09:48:00   LarryN
' -Automatic put from make. Version stamp 2.0a01.
' 
'    Rev 1.44   23 Mar 1994 15:48:50   LarryN
' -Automatic put from make. Version stamp 2.0_p9.
' 
'    Rev 1.43   22 Mar 1994 11:38:36   MichaelK
' -Automatic put from make. Version stamp 2.0_p8.
' 
'    Rev 1.42   21 Mar 1994 16:48:04   MichaelK
' -Automatic put from make. Version stamp 2.0_p7.
' 
'    Rev 1.41   21 Mar 1994 16:30:54   MichaelK
' -Automatic put from make. Version stamp 2.0_p7.
' 
'    Rev 1.40   21 Mar 1994 04:25:12   RobS
' Updated disk space required to 5 meg. should be updated prior to ship.
' 
'    Rev 1.39   21 Mar 1994 02:47:12   RobS
' Mulitple disks and billboards
' 
'    Rev 1.38   15 Mar 1994 23:03:42   RobS
' Added translators
' 
'    Rev 1.37   15 Mar 1994 13:52:32   MichaelK
' -Automatic put from make. Version stamp 2.0_p6.
' 
'    Rev 1.36   08 Mar 1994 17:21:26   MichaelK
' -Automatic put from make. Version stamp 2.0_p5.
' 
'    Rev 1.35   08 Mar 1994 17:09:18   MichaelK
' -Automatic put from make. Version stamp 2.0p_5.
' 
'    Rev 1.34   07 Mar 1994 17:50:52   MichaelK
' -Automatic put from make. Version stamp 2.0_p4.
' 
'    Rev 1.33   28 Feb 1994 17:04:24   MichaelK
' -Automatic put from make. Version stamp 2.0_p3.
' 
'    Rev 1.32   24 Feb 1994 12:59:10   MichaelK
' -Automatic put from make. Version stamp 2.0_p2.
' 
'    Rev 1.31   22 Feb 1994 17:39:48   MichaelK
' -Automatic put from make. Version stamp 2.0_p2.
' 
'    Rev 1.30   14 Feb 1994 21:11:02   MichaelK
' -Automatic put from make. Version stamp 2.0_p1.
' 
'    Rev 1.29   07 Dec 1993 17:13:04   MichaelK
' -Automatic put from make. Version stamp 1.0Gc3.
' 
'    Rev 1.28   01 Dec 1993 15:37:36   HankM
' -Change version to 1.0a and release to 1.0a_c1.
' 
'    Rev 1.27   16 Nov 1993 14:58:14   KjellS
' added a space in a text string
' 
'    Rev 1.26   16 Nov 1993 14:42:04   KjellS
' refining SYSTEM.INI modification handling
' 
'    Rev 1.25   16 Nov 1993 11:51:22   KjellS
' added message for the situation in which we can't determine the windows
' environment (win31, wfw, oem)
' 
'    Rev 1.24   13 Nov 1993 18:04:36   HankM
' -Automatic put from make. Version stamp 1.0c4.
' 
'    Rev 1.23   11 Nov 1993 11:18:10   HankM
' -Automatic put from make. Version stamp 1.0c3.
' 
'    Rev 1.22   06 Nov 1993 11:38:04   JohnC
' -Automatic put from make. Version stamp 1.0c2.
' 
'    Rev 1.21   03 Nov 1993 12:39:28   KjellS
' changed the name of README_NAME to readme.wri
' 
'    Rev 1.20   03 Nov 1993 10:26:36   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.19   03 Nov 1993 10:24:36   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.18   03 Nov 1993 10:23:38   HankM
' -Automatic put from make. Version stamp 1.0c1.
' 
'    Rev 1.17   03 Nov 1993 10:27:18   KjellS
' added a constant for write.exe (for the readme)
' 
'    Rev 1.16   02 Nov 1993 15:38:14   HankM
' -Automatic put from make. Version stamp 1.0b12.
' 
'    Rev 1.15   02 Nov 1993 11:45:32   KjellS
' changed THISVERSION to INTERNAL_VERSION
' added EXTERNAL_VERSION
' 
'    Rev 1.14   01 Nov 1993 13:51:40   KjellS
' added message for a blank path
' 
'    Rev 1.13   30 Oct 1993 10:03:02   HankM
' -Automatic put from make. Version stamp 1.0b11.
' 
'    Rev 1.12   26 Oct 1993 18:08:34   HankM
' -Automatic put from make. Version stamp 1.0b10.
' 
'    Rev 1.11   26 Oct 1993 17:27:52   HankM
' -Automatic put from make. Version stamp 1.0b10.
' 
'    Rev 1.10   22 Oct 1993 19:01:52   HankM
' -Automatic put from make. Version stamp 1.0b9.
' 
'    Rev 1.9   18 Oct 1993 11:59:34   KjellS
' changed version from 1.0b6 to 1.0b7
' 
'    Rev 1.8   13 Oct 1993 19:17:50   KjellS
' changed version from 1.0b5 to 1.0b6
' title of the icon when installed to an existing group is now Newton Connectio
' 
'    Rev 1.7   08 Oct 1993 11:15:44   KjellS
' changed version to 1.0b5
' 
'    Rev 1.6   06 Oct 1993 17:43:48   KjellS
' corrected a problem of setup trying to read one drive "lower" after a call
' to SectorsPerCluster (eliminated the call and substituted a constant value)
' 
'    Rev 1.5   05 Oct 1993 12:50:42   KjellS
' changed version number and eliminated the duplicate log file problem
' 
'    Rev 1.3   16 Sep 1993 16:21:08   KjellS
' added to the CANTCREATEDIR error message
' 
'    Rev 1.2   16 Sep 1993 10:55:40   KjellS
' changed version number
' 
'    Rev 1.1   15 Sep 1993 18:39:50   KjellS
' added better error detection for path verification
' fixed #176, 240, 212, 235
' 
'    Rev 1.0   15 Sep 1993 16:27:48   KjellS
' Initial revision.
' 
















